aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2021-05-10 13:46:35 +1200
committerTom Ryder <tom@sanctum.geek.nz>2021-05-10 13:46:35 +1200
commitb5d7c3dddc7cfce9b33b167294d6755d7d758193 (patch)
treeb0e6398aa7041c1dcd982aa32ca08ea70becc953
parentMerge branch 'release/v11.3.0' (diff)
parentBump VERSION (diff)
downloaddotfiles-b5d7c3dddc7cfce9b33b167294d6755d7d758193.tar.gz
dotfiles-b5d7c3dddc7cfce9b33b167294d6755d7d758193.zip
Merge branch 'release/v11.4.0'v11.4.0
* release/v11.4.0: Run Perl::Tidy over urxvt/ext/select.pl Make corrections for ShellCheck v0.7.2 Remove <strong> tag from HTML timestamp prefix
-rw-r--r--VERSION4
-rw-r--r--bash/bash_completion.d/path.bash1
-rw-r--r--lint/bash.sh2
-rw-r--r--lint/ksh.sh4
-rw-r--r--lint/sh.sh2
-rw-r--r--urxvt/ext/select.pl2
-rw-r--r--vim/autoload/html/timestamp.vim2
7 files changed, 9 insertions, 8 deletions
diff --git a/VERSION b/VERSION
index 531c73f7..39293bf0 100644
--- a/VERSION
+++ b/VERSION
@@ -1,2 +1,2 @@
-tejr dotfiles v11.3.0
-Fri, 23 Apr 2021 09:24:39 +0000
+tejr dotfiles v11.4.0
+Mon, 10 May 2021 01:46:30 +0000
diff --git a/bash/bash_completion.d/path.bash b/bash/bash_completion.d/path.bash
index 9224506a..9234f132 100644
--- a/bash/bash_completion.d/path.bash
+++ b/bash/bash_completion.d/path.bash
@@ -62,6 +62,7 @@ _path() {
fi
# Break PATH into parts
+ declare -a paths
IFS=: read -a paths -d '' -r \
< <(printf '%s\0' "$PATH")
diff --git a/lint/bash.sh b/lint/bash.sh
index 13754a3f..2b6342ae 100644
--- a/lint/bash.sh
+++ b/lint/bash.sh
@@ -5,4 +5,4 @@ set \
bash/bash_profile \
bash/bashrc \
bash/bashrc.d/*.bash
-shellcheck -e SC1090 -s bash -- "$@" || exit
+shellcheck -e SC1090 -e SC1091 -s bash -- "$@" || exit
diff --git a/lint/ksh.sh b/lint/ksh.sh
index 117909b3..164c4672 100644
--- a/lint/ksh.sh
+++ b/lint/ksh.sh
@@ -1,5 +1,5 @@
set \
ksh/kshrc \
ksh/kshrc.d/*.ksh
-shellcheck -e SC1090 -s ksh -- "$@" || exit
-shellcheck -e SC1090 -s sh -- ksh/shrc.d/ksh.sh || exit
+shellcheck -e SC1090 -e SC1091 -s ksh -- "$@" || exit
+shellcheck -e SC1090 -e SC1091 -s sh -- ksh/shrc.d/ksh.sh || exit
diff --git a/lint/sh.sh b/lint/sh.sh
index 5884a1ed..e15b5504 100644
--- a/lint/sh.sh
+++ b/lint/sh.sh
@@ -4,4 +4,4 @@ set \
sh/shrc \
*/profile.d/*.sh \
*/shrc.d/*.sh
-shellcheck -e SC1090 -s sh -- "$@" || exit
+shellcheck -e SC1090 -e SC1091 -s sh -- "$@" || exit
diff --git a/urxvt/ext/select.pl b/urxvt/ext/select.pl
index 90b13960..589c7464 100644
--- a/urxvt/ext/select.pl
+++ b/urxvt/ext/select.pl
@@ -68,7 +68,7 @@ sub on_sel_extend {
MATCH:
for (
sort { ## no critic (ProhibitReverseSortBlock)
- $a->[1] <=> $b->[1]
+ $a->[1] <=> $b->[1]
or $b->[0] <=> $a->[0]
} @matches
)
diff --git a/vim/autoload/html/timestamp.vim b/vim/autoload/html/timestamp.vim
index 6d525afb..8f250710 100644
--- a/vim/autoload/html/timestamp.vim
+++ b/vim/autoload/html/timestamp.vim
@@ -34,7 +34,7 @@ function! s:Timestamp(time) abort
endfunction
" Define timestamp prefix string
-let s:prefix = '<strong>Last updated:</strong> '
+let s:prefix = 'Last updated: '
" Define pattern to match date timestamps; no ZALGO, please
let s:pattern = '\m\C'